org.red5.server.stream

## Class PlaylistSubscriberStream.Notifier

- java.lang.Object
- - org.red5.server.stream.PlaylistSubscriberStream.Notifier

All Implemented Interfaces:
  Runnable

Enclosing class:
  PlaylistSubscriberStream

    public class PlaylistSubscriberStream.Notifier
    extends Object
    implements Runnable

Handles notifications in a separate thread.

### Constructor Summary

Constructors
Constructor and Description
`PlaylistSubscriberStream.Notifier(IPlaylistSubscriberStream stream, IStreamAwareScopeHandler handler)`

### Method Summary

Methods
`void` `run()`
`void` `setConnection(IConnection conn)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlaylistSubscriberStream.Notifier

    public PlaylistSubscriberStream.Notifier(IPlaylistSubscriberStream stream,
                                     IStreamAwareScopeHandler handler)

### Method Detail

#### setConnection

    public void setConnection(IConnection conn)

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`